%define pkg_name        POE-Component-Generic
%define pkg_version     0.1006
%define rpm_pkg_version 0.10_06
%define rpm_pkg_release 1.n0i.4

Summary:       POE component providing non-blocking access to blocking objects
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GW/GWYN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Devel::Symdump)


%description
POE::Component::Generic is a POE component that provides a non-blocking
wrapper around any object. It works by forking a child process with
POE::Wheel::Run and creating the object in the child process. Method calls
are then serialised and sent via STDIN to the child to be handled. Return
values are posted back to your session via STDOUT. This means that all
method arguments and return values must survive serialisation. If you need
to pass coderefs, use "callbacks", "postbacks" or "factories".


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path example/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes example/ README TODO


%changelog
* Mon Aug 20 2007 Marius Feraru <altblue@n0i.net> - 0.10_06-1.n0i.4.0.1006
- version 0.1006

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.10_01-1.n0i.3.0.1001
- version 0.1001

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.09_11-1.n0i.2.0.0911
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.0911

* Fri Jun 30 2006 Marius Feraru <altblue@n0i.net> - 0.09_04-1.n0i.1.0.0904
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
